# Uses of Interface
org.apache.qpid.proton.engine.impl.TransportLayer

Packages that use TransportLayer
Package
Description
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.engine.impl.ssl

## Uses of TransportLayer in org.apache.qpid.proton.engine.impl

Classes in org.apache.qpid.proton.engine.impl that implement TransportLayer
Modifier and Type
Class
Description
`class`
`SaslImpl`
Methods in org.apache.qpid.proton.engine.impl with parameters of type TransportLayer
Modifier and Type
Method
Description
`void`
TransportImpl.`addTransportLayer(TransportLayer layer)`
`void`
TransportInternal.`addTransportLayer(TransportLayer layer)`
Add a `TransportLayer` to the transport, wrapping the input and output process handlers in the state they currently exist.

## Uses of TransportLayer in org.apache.qpid.proton.engine.impl.ssl

Classes in org.apache.qpid.proton.engine.impl.ssl that implement TransportLayer
Modifier and Type
Class
Description
`class`
`SslImpl`